﻿using ChartGettingStarted;
using Syncfusion.SfChart.XForms.UWP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms.Platform.UWP;
using Syncfusion.SfChart.XForms;

[assembly: ExportRenderer(typeof(SfChart), typeof(ChartGettingStarted.UWP.CustomRenderer))]
namespace ChartGettingStarted.UWP
{
    public class CustomRenderer : SfChartRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            if (Control != null)
            {
                Control.PrimaryAxis.EnableScrollBar = true;
              
                Control.PrimaryAxis.ActualRangeChanged += PrimaryAxis_ActualRangeChanged;
            }
        }

        private void PrimaryAxis_ActualRangeChanged(object sender, Syncfusion.UI.Xaml.Charts.ActualRangeChangedEventArgs e)
        {
            if (e.IsScrolling)
                return;
            e.VisibleMinimum =(double) (e.ActualMaximum) -100  ;

        }
    }
}
